Subject: bug#63415: 30.0.50; More Build Warnings

From: Eli Zaretskii <[email-masked]>
Date: Wed, 17 May 2023 17:30:58 +0300

> From: Andrea Corallo <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 17 May 2023 14:11:44 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > This is just a cleanup, and for a warning that is new on master.  So
> > please install on master.
> 
> Unfortunatelly this is a bugfix.
> 
> The case is when a manual async compilation has been asked for a file,
> and before it's initiated the jit machinery ask as well for a
> compilation.  I think with the current code at worst we'll miss to load
> automatically the .eln for the jit case and everything will keep on
> working with the bytecoded version.
> 
> I don't think the whole mechanism is trivial to be verified, so given
> the unlikeliness of the condition and the non severity of the bug I
> prefered to push the fix only to master for now with 8a92d00470b.  Happy
> to change my mind if we feel is important.

Thanks.  Let's try to remember revisiting this when Emacs 29.2 will
come close to release.  By that time I hope we will know whether this
fix is safe or not, and will be able to backport it if it is.